Create an ephemeral repository remote - Spacefast Docs
Create an ephemeral repository remote
Get a signed Git remote for a short-lived repository branch. This operation requires source-read and source-write access.
POST /v1/spaces/{spaceId}/source/ephemeral-remote
Authorization
Authorization Bearer token · header required
Authorization: Bearer <token>
with an API key (sfa_ prefix), an OAuth access token, a session token, or a Space machine credential (sfm_ prefix).
or
Authorization OAuth2 access token · header required
OAuth 2.0 with Spacefast scopes. People use the authorization code flow; machines use client credentials.
Scopes:
spaces:writespaces:read
Path parameters
spaceId string required
Query parameters
connectionType string required
default: "connected"
Allowed: connected, hosted
Request body
required application/json
branchstring
Short-lived branch the remote is scoped to.- min length 1
ttlSecondsinteger
How long the remote stays usable, in seconds. At most 86400.- max 86400
readOnlyRefsstring[]
Refs the remote may read but never write. At most 25.- max items 25
Responses
200 Response for status 200
{
"$schema": "string<uri>",
"data": {
"repositoryConnection": {
"id": "string",
"spaceId": "string",
"provider": "github",
"connectionType": "connected",
"repositoryId": "string",
"installationId": null,
"cloneUrlConfigured": false,
"upstreamUrlConfigured": false,
"repositoryName": "string",
"repositoryFullName": "string",
"defaultBranch": "string",
"productionBranch": "string",
"credentialConfigured": true,
"autoDeployProduction": true,
"autoDeployPreviews": true,
"buildSettings": {
"rootDirectory": null,
"installDirectory": null,
"installCommand": null,
"buildCommand": null,
"outputDirectory": null,
"ignoredBuildCommand": null,
"frameworkPreset": null,
"platformPreset": null,
"allowUnsupportedPlatformFeatures": false,
"timeoutSeconds": 900
},
"syncStatus": "idle",
"providerAccessStatus": "active",
"providerAccessError": null,
"lastSyncedAt": "2019-08-24T14:15:22Z",
"lastSyncError": "string",
"syncRunId": "string",
"connectedUserId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"remote": {
"repositoryId": "string",
"cloneUrl": "string",
"pushUrl": "string",
"expiresInSeconds": 9007199254740991,
"branch": "string"
}
}
}
{
"$schema": "string<uri>",
"type": "string",
"title": "string",
"status": -9007199254740991,
"detail": "string",
"code": "string",
"pointer": "string",
"details": {
"property1": null,
"property2": null
},
"suggestions": ["string"],
"next": ["string"],
"requestId": "string"
}